%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Parameters for the 'Single-phase PV Inverter' system
% Copyright imperix ltd, 2020
% dev@imperix.ch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% SETPOINTS

VdcRef = 650;                   % DC bus voltage reference setpoint [V]
Vdc0   = 650;                   % Initial DC bus voltage [V]

%% SYSTEM PARAMETERS

SwitchingFreq = 20e3;           % Switching frequency [Hz]
Deadtime = 1e-6;                % Deadtime [s]

ControlFreq = SwitchingFreq;    % Control frequency [Hz]
ControlPeriod = 1/ControlFreq;  % Control period [s]

%% PLANT PARAMETERS

Rpv = 8;           % Parallel equivalent resistance of the PV [Ohm]
Rs = 0.5;          % Serial equivalent resistance of the PV [Ohm]

% Grid
GridFreq = 50;     % Grid frequency [Hz]
Vg = 230;          % RMS Grid voltage [V]
Lg = 2.5e-3;       % Grid-side inductor value [H]
Rg = 22e-3;        % Series equivalent resistance of Lg [Ohm]
Rp = 47;           % Grid precharge resistance [Ohm]

Cdc_add = 7.5e-3;  % Additional DC link capacitor [F]
Lg = 2.5e-3;       % AC-side inductor (grid) [H]
Rg = 12e-3;        % ESR of the AC-side inductor (grid) [Ohm]

Lb = 5.0e-3;       % DC-side inductor (boost) [H]
Rb = 25e-3;        % ESR of the DC-side inductor (boost) [Ohm]